Bug 603637 - via-rhine network driver: transmit timed out
via-rhine network driver: transmit timed out
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 04:46 EDT by Philip Frampton
Modified: 2013-06-23 18:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abrt oops log (20.00 KB, application/gzip)
2013-06-23 18:26 EDT, Oli Wade
no flags Details

  None (edit)
Description Philip Frampton 2010-06-14 04:46:33 EDT
Description of problem:
Ethernet network stops working. Tried rmmod via-rhine, modprobe via-rhine, but this does not restart networking.

Version-Release number of selected component (if applicable):
Fedora 13, problem also existed in last few months of Fedora 12.

How reproducible:
Not consistent, can happen several times a day, or not at all. Machine is connected to one samba share (SCO box), internet, printer, telnet server.

Steps to Reproduce:
1. Using machine
2.
3.
  
Actual results:
Crash

Expected results:
Not crash

Additional info:


Jun 14 08:31:26 pf kernel: WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0xc1/0x150()
Jun 14 08:31:26 pf kernel: Hardware name: MS-7253
Jun 14 08:31:26 pf kernel: NETDEV WATCHDOG: eth0 (via-rhine): transmit queue 0 timed out
Jun 14 08:31:26 pf kernel: Modules linked in: fuse w83627ehf hwmon_vid nls_utf8 cifs cpufreq_ondemand powernow_k8 ipv6 uinput snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc i2c_viapro k8temp ppdev via_rhine mii parport_pc parport microcode pata_acpi ata_generic sata_via pata_via nouveau ttm drm_kms_helper drm i2c_algo_bit video output i2c_core [last unloaded: scsi_wait_scan]
Jun 14 08:31:26 pf kernel: Pid: 0, comm: swapper Not tainted 2.6.33.5-112.fc13.i686 #1
Jun 14 08:31:26 pf kernel: Call Trace:
Jun 14 08:31:26 pf kernel: [<c0436df5>] warn_slowpath_common+0x65/0x7c
Jun 14 08:31:26 pf kernel: [<c06f9240>] ? dev_watchdog+0xc1/0x150
Jun 14 08:31:26 pf kernel: [<c0436e40>] warn_slowpath_fmt+0x24/0x27
Jun 14 08:31:26 pf kernel: [<c06f9240>] dev_watchdog+0xc1/0x150
Jun 14 08:31:26 pf kernel: [<c0448efa>] ? insert_work+0x70/0x79
Jun 14 08:31:26 pf kernel: [<c04490ce>] ? __queue_work+0x2a/0x2f
Jun 14 08:31:26 pf kernel: [<c04419f9>] run_timer_softirq+0x163/0x1e6
Jun 14 08:31:26 pf kernel: [<c06f917f>] ? dev_watchdog+0x0/0x150
Jun 14 08:31:26 pf kernel: [<c043c1d1>] __do_softirq+0xac/0x152
Jun 14 08:31:26 pf kernel: [<c043c2a8>] do_softirq+0x31/0x3c
Jun 14 08:31:26 pf kernel: [<c043c3bc>] irq_exit+0x29/0x5c
Jun 14 08:31:26 pf kernel: [<c0417fa7>] smp_apic_timer_interrupt+0x6f/0x7d
Jun 14 08:31:26 pf kernel: [<c077104d>] apic_timer_interrupt+0x31/0x38
Jun 14 08:31:26 pf kernel: [<c041f4e7>] ? native_safe_halt+0x5/0x7
Jun 14 08:31:26 pf kernel: [<c0409036>] default_idle+0x3a/0x5a
Jun 14 08:31:26 pf kernel: [<c0409132>] c1e_idle+0xdc/0xe1
Jun 14 08:31:26 pf kernel: [<c04024b8>] cpu_idle+0x91/0xad
Jun 14 08:31:26 pf kernel: [<c075e31e>] rest_init+0x62/0x64
Jun 14 08:31:26 pf kernel: [<c09b78f1>] start_kernel+0x346/0x34b
Jun 14 08:31:26 pf kernel: [<c09b7099>] i386_start_kernel+0x99/0xa0
Jun 14 08:31:26 pf kernel: ---[ end trace 1a7c3d6046981726 ]---
Jun 14 08:31:26 pf kernel: eth0: Transmit timed out, status 0003, PHY status 786d, resetting...
Jun 14 08:31:26 pf kernel: eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
Comment 1 Philip Frampton 2010-06-14 04:50:35 EDT
Two additional comments.

1. I have had pci=conf1 in my kernel parameters since I got the machine (it's my work machine, not home) in Dec 2007. I've forgotten why I needed it.

2.
dmesg |grep via-rhine
via-rhine.c:v1.10-LK1.4.3 2007-03-06 Written by Donald Becker
via-rhine: Broken BIOS detected, avoid_D3 enabled.
via-rhine 0000:00:12.0: PCI INT A -> GSI 23 (level, low) -> IRQ 23
Comment 2 Bug Zapper 2011-06-02 06:58:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:10:34 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Oli Wade 2013-06-23 18:21:47 EDT
This seems to occur also on Fedora 18:
----
Jun 19 06:12:26 lizard kernel: [641058.708041] ------------[ cut here ]------------
Jun 19 06:12:26 lizard kernel: [641058.708056] WARNING: at net/sched/sch_generic.c:255 dev_watchdog+0x238/0x250()
Jun 19 06:12:26 lizard kernel: [641058.708059] Hardware name: System Product Name
Jun 19 06:12:26 lizard kernel: [641058.708062] NETDEV WATCHDOG: em1 (via-rhine): transmit queue 0 timed out
Jun 19 06:12:26 lizard kernel: [641058.708063] Modules linked in: fuse bnep bluetooth rfkill ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables hwmon_vid nvidia(POF) snd_hda_codec_realtek snd_hda_intel ppdev parport_pc powernow_k8 parport snd_hda_codec cp210x snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore k8temp asus_atk0110 edac_core edac_mce_amd i2c_viapro via_rhine shpchp mii i2c_core uinput ata_generic pata_acpi pata_via sata_via
Jun 19 06:12:26 lizard kernel: [641058.708106] Pid: 21328, comm: chrome Tainted: PF          O 3.9.2-200.fc18.x86_64 #1
Jun 19 06:12:26 lizard kernel: [641058.708108] Call Trace:
Jun 19 06:12:26 lizard kernel: [641058.708111]  <IRQ>  [<ffffffff8105f105>] warn_slowpath_common+0x75/0xa0
Jun 19 06:12:26 lizard kernel: [641058.708123]  [<ffffffff8105f1e6>] warn_slowpath_fmt+0x46/0x50
Jun 19 06:12:26 lizard kernel: [641058.708127]  [<ffffffff8109162c>] ? ttwu_do_wakeup+0x2c/0xe0
Jun 19 06:12:26 lizard kernel: [641058.708133]  [<ffffffff81572e58>] dev_watchdog+0x238/0x250
Jun 19 06:12:26 lizard kernel: [641058.708137]  [<ffffffff81572c20>] ? dev_deactivate_queue.constprop.30+0x80/0x80
Jun 19 06:12:26 lizard kernel: [641058.708142]  [<ffffffff8106dbaa>] call_timer_fn+0x3a/0x110
Jun 19 06:12:26 lizard kernel: [641058.708146]  [<ffffffff81572c20>] ? dev_deactivate_queue.constprop.30+0x80/0x80
Jun 19 06:12:26 lizard kernel: [641058.708149]  [<ffffffff8106f926>] run_timer_softirq+0x1f6/0x2a0
Jun 19 06:12:26 lizard kernel: [641058.708153]  [<ffffffff810677b0>] __do_softirq+0xe0/0x220
Jun 19 06:12:26 lizard kernel: [641058.708157]  [<ffffffff81067a75>] irq_exit+0xa5/0xb0
Jun 19 06:12:26 lizard kernel: [641058.708162]  [<ffffffff8166b78e>] smp_apic_timer_interrupt+0x6e/0x99
Jun 19 06:12:26 lizard kernel: [641058.708166]  [<ffffffff8166a65d>] apic_timer_interrupt+0x6d/0x80
Jun 19 06:12:26 lizard kernel: [641058.708168]  <EOI> 
Jun 19 06:12:26 lizard kernel: [641058.708170] ---[ end trace 14fac28454009919 ]---
Jun 19 06:12:26 lizard kernel: [641058.708336] via-rhine 0000:00:12.0 em1: Transmit timed out, status 0003, PHY status 786d, resetting...
Jun 19 06:12:27 lizard sh[382]: abrt-dump-oops: Found oopses: 1
Jun 19 06:12:27 lizard sh[382]: abrt-dump-oops: Creating problem directories
Jun 19 06:12:27 lizard abrt-dump-oops: Reported 1 kernel oopses to Abrt
Jun 19 06:12:27 lizard abrtd: Directory 'oops-2013-06-19-06:12:27-22440-1' creation detected
Jun 19 06:12:28 lizard abrtd: Core backtrace is generated and saved, 679 bytes
Jun 19 06:12:28 lizard abrtd: Looking for kernel package
Jun 19 06:12:28 lizard abrtd: Kernel package kernel-3.9.2-200.fc18.x86_64 found
Jun 19 06:12:29 lizard abrtd: New problem directory /var/tmp/abrt/oops-2013-06-19-06:12:27-22440-1, processing
Jun 19 06:12:42 lizard kernel: [641074.708187] via-rhine 0000:00:12.0 em1: Transmit timed out, status 0003, PHY status 786d, resetting...
Jun 19 06:12:58 lizard kernel: [641090.708189] via-rhine 0000:00:12.0 em1: Transmit timed out, status 0003, PHY status 786d, resetting...
Jun 19 06:13:12 lizard kernel: [641104.708190] via-rhine 0000:00:12.0 em1: Transmit timed out, status 0003, PHY status 786d, resetting...
Jun 19 06:13:32 lizard kernel: [641124.708180] via-rhine 0000:00:12.0 em1: Transmit timed out, status 0003, PHY status 786d, resetting...
Jun 19 06:13:48 lizard kernel: [641140.708191] via-rhine 0000:00:12.0 em1: Transmit timed out, status 0003, PHY status 786d, resetting...
----
Comment 5 Oli Wade 2013-06-23 18:26:54 EDT
Created attachment 764375 [details]
abrt oops log

Note You need to log in before you can comment on or make changes to this bug.